/ Platform API
Platform API
    Chat Platform API v3
    Chat Platform API
    Chat Platform API
    Version 3

    Get channel invitation preference

    Copy link

    This action retrieves a user's group channel invitation preference. Users are subject to both user-specific and application-wide invitation preferences. Of the two, the invitation preference set for a specific user takes precedence over the default channel invitation preference.


    HTTP request

    Copy link
    GET https://api-{application_id}.sendbird.com/v3/users/{user_id}/channel_invitation_preference
    

    Note: If you are using the in-app channel in Delight AI agent, the endpoint for your API request should start with https://api-{application_id}.svc.delight.ai/v3 instead of https://api-{application_id}.sendbird.com/v3. For more details, refer to our Delight AI agent guide.


    Responses

    Copy link

    If successful, this action returns the value of the channel invitation preference of the user in the response body.

    {
        "auto_accept": true
    }
    

    List of response properties

    Copy link
    Property nameTypeDescription

    auto_accept

    boolean

    Indicates whether a user will automatically join a group channel without having to manually accept an invitation. If set to false, the user must choose to accept or decline the invitation to join a group channel. (Default: true)

    In the case of an error, an error object like below is returned. See the error codes section for more details.

    {
        "message": "\"User\" not found.",
        "code": 400201,
        "error": true
    }